Index: src/networks/donkey/donkeyServers.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/donkey/donkeyServers.ml,v
retrieving revision 1.54
diff -u -u -w -r1.54 donkeyServers.ml
--- src/networks/donkey/donkeyServers.ml	29 Mar 2006 15:41:33 -0000	1.54
+++ src/networks/donkey/donkeyServers.ml	19 May 2006 21:58:30 -0000
@@ -47,16 +47,6 @@
 
 module Udp = DonkeyProtoUdp
 
-(* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s[EDK] "
-    (log_time ()); lprintf_nl2
-
-(* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s[EDK] "
-    (log_time ()); lprintf
-
 (* Constants *)
 let udp_requests_new  = 5
 let udp_requests_old  = 3
@@ -133,7 +123,7 @@
               List.iter (
                 fun file ->
                   if !verbose_location then
-                    lprintf_nl () "TCP: Query Location of %s [%s] [%Ld] [%s]"
+                    lprintf_nl "TCP: Query Location of %s [%s] [%Ld] [%s]"
                       (file_best_name file) (Md4.to_string file.file_md4) (file_size file) (Ip.to_string (peer_ip sock));
                   let module M = DonkeyProtoServer in
                   let module E = M.QueryLocation in
@@ -188,7 +178,7 @@
     ()
   done;
   if !verbose_location then
-    lprintf_nl () "udp_query_source to: %2d old %2d new servers"
+    lprintf_nl "udp_query_source to: %2d old %2d new servers"
       (List.length !old_servers) (List.length !new_servers);
 
   try
@@ -216,7 +206,7 @@
     ) !old_servers;
 
   with e ->
-    lprintf_nl () "udp_query_sources: %s" (Printexc2.to_string e)
+    lprintf_nl "udp_query_sources: %s" (Printexc2.to_string e)
 
 
 let disconnect_server s reason =
@@ -262,7 +252,7 @@
   s.server_last_message <- last_time ();
 
   if !verbose_msg_servers then begin
-    lprintf_nl () "Message from server:";
+    lprintf_nl "Message from server:";
     DonkeyProtoServer.print t; lprint_newline ()
   end;
 
@@ -306,25 +296,25 @@
               s.server_name (Ip.to_string s.server_ip) s.server_port in
           CommonEvent.add_event (Console_message_event (Printf.sprintf "%s\n" server_header));
           if !CommonOptions.verbose_msg_servers then
-      lprintf_nl () "%s" server_header;
+      lprintf_nl "%s" server_header;
           last_message_sender := server_num s
         end;
       s.server_banner <- s.server_banner ^ Printf.sprintf "%s\n" msg;
       let msg = Printf.sprintf "| %s" msg in
       CommonEvent.add_event (Console_message_event (Printf.sprintf "%s\n" msg));
       if !CommonOptions.verbose_msg_servers then
-        lprintf_nl () "%s" msg
+        lprintf_nl "%s" msg
 
   | M.ServerListReq l ->
       if !!update_server_list_server then begin
-        if !verbose_msg_servers then lprintf_nl () "Received serverlist from server";
+        if !verbose_msg_servers then lprintf_nl "Received serverlist from server";
         let module Q = M.ServerList in
         List.iter (fun s ->
             safe_add_server s.Q.ip s.Q.port
         ) l
         end
       else begin
-        if !verbose_msg_servers then lprintf_nl () "Ignored serverlist from server"
+        if !verbose_msg_servers then lprintf_nl "Ignored serverlist from server"
         end
 
 
@@ -359,7 +349,7 @@
       s.server_nfiles <- Int64.of_int files;
       if (users < !!min_users_on_server && not s.server_preferred) then
         begin
-          lprintf_nl () "%s:%d remove server min_users_on_server limit hit!"
+          lprintf_nl "%s:%d remove server min_users_on_server limit hit!"
             (Ip.to_string s.server_ip) s.server_port;
 
           disconnect_server s Closed_for_timeout;
@@ -371,7 +361,7 @@
       (* This can either be a reply to a QueryID or a indirect request for
          connection from another client. In this case, we should immediatly
          connect. *)
-      if !verbose then lprintf_nl () "QueryIDReplyReq: received";
+      if !verbose then lprintf_nl "QueryIDReplyReq: received";
       let module Q = M.QueryIDReply in
       if Ip.usable t.Q.ip then begin
         try
@@ -379,14 +369,14 @@
               None -> raise Not_found
             | Some file ->
                 if !verbose then
-                  lprintf_nl () "QueryIDReplyReq: This was a QueryID reply !?";
+                  lprintf_nl "QueryIDReplyReq: This was a QueryID reply !?";
                 let s = DonkeySources.find_source_by_uid
                   (Direct_address (t.Q.ip, t.Q.port)) in
                 DonkeySources.set_request_result s file.file_sources
                   File_new_source
         with _ ->
           if !verbose then
-            lprintf_nl () "QueryIDReplyReq: Calling back to %s:%d"
+            lprintf_nl "QueryIDReplyReq: Calling back to %s:%d"
               (Ip.to_string t.Q.ip) t.Q.port;
           let c = new_client (Direct_address (t.Q.ip, t.Q.port)) in
           DonkeyClient.reconnect_client c;
@@ -394,7 +384,7 @@
 
   | M.QueryIDFailedReq t ->
       if !verbose then
-        lprintf_nl () "QueryIDFailedReq:";
+        lprintf_nl "QueryIDFailedReq:";
       ignore (Fifo.take s.server_id_requests)
 
   | M.QueryReplyReq t ->
@@ -540,11 +530,11 @@
             if !servers_list = [] then begin
               if !print_empty_list then begin
                 print_empty_list := false;
-                lprintf_nl () "There are no ED2K-servers in your servers.ini.";
-                lprintf_nl () "Please import servers from a server.met file.";
-                lprintf_nl () "Let MLDonkey use a file configured in web_infos";
-                lprintf_nl () "or enter this link into MLDonkey:";
-    lprintf_nl () "ed2k://|serverlist|http://www.jd2k.com/server.met|/"
+                lprintf_nl "There are no ED2K-servers in your servers.ini.";
+                lprintf_nl "Please import servers from a server.met file.";
+                lprintf_nl "Let MLDonkey use a file configured in web_infos";
+                lprintf_nl "or enter this link into MLDonkey:";
+    lprintf_nl "ed2k://|serverlist|http://www.jd2k.com/server.met|/"
               end;
 
               raise Not_found;
@@ -600,7 +590,7 @@
   if last_time () - start_time > !!max_server_age * Date.day_in_secs then begin
   
   if !verbose then
-    lprintf_nl () "old servers: Start check, remove servers not connected for %d days"
+    lprintf_nl "old servers: Start check, remove servers not connected for %d days"
       !!max_server_age;
 (*
 The new tactic: we sort the servers (the more recently connected first,
@@ -629,7 +619,7 @@
 
     if !verbose then
       Array.iteri (fun i (ls, s) ->
-        lprintf_nl () "old servers: server %d last_conn %d" (server_num s) ls) array;
+        lprintf_nl "old servers: server %d last_conn %d" (server_num s) ls) array;
 
     let min_last_conn =  last_time () - !!max_server_age * Date.day_in_secs in
 
@@ -638,7 +628,7 @@
         if ls < min_last_conn && s.server_sock = NoConnection
           && not s.server_preferred then begin
           if !verbose then
-            lprintf_nl () "old servers: Server too old: %s:%d"
+            lprintf_nl "old servers: Server too old: %s:%d"
               (Ip.to_string s.server_ip) s.server_port;
 
           to_remove := s :: !to_remove
@@ -651,7 +641,7 @@
   ) !to_remove;
 
   if !to_remove <> [] || !verbose then
-    lprintf_nl () "Removed %d old edonkey servers." (List.length !to_remove)
+    lprintf_nl "Removed %d old edonkey servers." (List.length !to_remove)
 
   end
 
@@ -694,7 +684,7 @@
                   if connection_can_try s.server_connection_control then
                     begin
                       if !verbose then
-                        lprintf_nl () "WALKER: try connect %s"
+                        lprintf_nl "WALKER: try connect %s"
                           (Ip.to_string s.server_ip);
                       connect_server s
                     end
@@ -702,7 +692,7 @@
                     begin
                       delayed_list := s :: !delayed_list;
                       if !verbose then
-                        lprintf_nl () "WALKER: connect %s delayed"
+                        lprintf_nl "WALKER: connect %s delayed"
                           (Ip.to_string s.server_ip);
                     end
               | _ -> ()
@@ -756,7 +746,7 @@
 (* check connected servers *)
 let update_master_servers _ =
   if !verbose_location then
-    lprintf_nl () "master servers: start re-computing";
+    lprintf_nl "master servers: start re-computing";
   let server_list = List.sort compare_servers (connected_servers ()) in
   let masters = ref [] in
   let tag1 = ref true in
@@ -768,7 +758,7 @@
         | Connection _ ->
             if !verbose_location then begin
         if !tag2 then begin
-                lprintf_n () "master servers (old):";
+                lprintf_n "master servers (old):";
     tag1 := false;
     tag2 := false
         end;
@@ -804,7 +794,7 @@
     if !nconnected_servers > max_allowed_connected_servers then
       begin
         if !verbose_location then
-            lprintf_nl () "master servers: disconnect %s" (Ip.to_string s.server_ip);
+            lprintf_nl "master servers: disconnect %s" (Ip.to_string s.server_ip);
         nconnected_servers := !nconnected_servers - 3;
         do_if_connected  s.server_sock (fun sock ->
             (* We will disconnect from this server.
@@ -823,7 +813,7 @@
             - connection_last_conn s.server_connection_control
           in
           if !verbose_location then
-              lprintf_nl () "master servers: Checking ip:%s, users: %Ld, ct:%d"
+              lprintf_nl "master servers: Checking ip:%s, users: %Ld, ct:%d"
           (Ip.to_string s.server_ip) s.server_nusers connection_time;
           if not s.server_master
             && (s.server_preferred
@@ -835,7 +825,7 @@
                 if (!nmasters < max_allowed_connected_servers) then
                   begin
                     if !verbose_location then
-                        lprintf_nl () "master servers: raising  %s"
+                        lprintf_nl "master servers: raising  %s"
                                   (Ip.to_string s.server_ip);
                     make_master s
                   end
@@ -854,7 +844,7 @@
                           then
                             begin
                               if !verbose_location then
-                                lprintf_nl ()
+                                lprintf_nl
                                   "master servers: raising %s, disconnected %s"
                                   (Ip.to_string s.server_ip) (Ip.to_string ss.server_ip);
                               ss.server_master <- false;
@@ -868,7 +858,7 @@
         )
     ) server_list;
   if !verbose_location then
-      lprintf_nl () "master servers: %d connected %d masters - re-computing completed"
+      lprintf_nl "master servers: %d connected %d masters - re-computing completed"
         !nconnected_servers !nmasters
 
 
Index: src/networks/donkey/donkeyShare.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/donkey/donkeyShare.ml,v
retrieving revision 1.42
diff -u -u -w -r1.42 donkeyShare.ml
--- src/networks/donkey/donkeyShare.ml	12 May 2006 21:08:30 -0000	1.42
+++ src/networks/donkey/donkeyShare.ml	19 May 2006 21:58:30 -0000
@@ -37,10 +37,6 @@
 open DonkeyComplexOptions
 open DonkeyGlobals
 
-let lprintf_nl () =
-  lprintf "%s[EDK] "
-    (log_time ()); lprintf_nl2
-
 let new_shared_files = ref []
 
 let must_share_file file codedname has_old_impl =
@@ -98,7 +94,7 @@
     in
 
     if !verbose_share then
-      lprintf_nl () "Sharing file with MD4: %s" (Md4.to_string md4);
+      lprintf_nl "Sharing file with MD4: %s" (Md4.to_string md4);
 
     let file = new_file sh.sh_name FileShared md4 sh.sh_size
         [Filename.basename sh.sh_name, GuiTypes.noips()]
@@ -137,9 +133,9 @@
 		 CommonSwarming.verify_all_blocks s true;
 		 *)
                 if !verbose_share then
-                  lprintf_nl () "verified map of %s = %s"
+                  lprintf_nl "verified map of %s = %s"
 		         (codedname) (CommonSwarming.verified_bitmap s))
-      | None -> if !verbose_share then lprintf_nl () "no swarmer for %s" codedname;
+      | None -> if !verbose_share then lprintf_nl "no swarmer for %s" codedname;
     (try
         file.file_format <- CommonMultimedia.get_info
           (file_disk_name file)
@@ -152,9 +148,9 @@
 lprint_newline ());
   *)
     if !verbose_share then
-      lprintf_nl () "new_file_to_share: Sharing %s" sh.sh_name;
+      lprintf_nl "new_file_to_share: Sharing %s" sh.sh_name;
   with e ->
-      lprintf_nl () "Exception %s while sharing %s" (Printexc2.to_string e)
+      lprintf_nl "Exception %s while sharing %s" (Printexc2.to_string e)
       sh.sh_name
 
 let all_shared () =
@@ -164,7 +160,7 @@
         None -> ()
       | Some _ ->  shared_files := file :: !shared_files
   ) files_by_md4;
-  if !verbose_share then lprintf_nl () "%d files shared" (List.length !shared_files);
+  if !verbose_share then lprintf_nl "%d files shared" (List.length !shared_files);
   !shared_files
 
 (* Check whether new files are shared, and send them to connected servers.
@@ -184,19 +180,19 @@
             if s.server_master then
               begin
                 if !verbose_share || !verbose then
-                  lprintf_nl () "send_new_shared: found master server %s:%d"
+                  lprintf_nl "send_new_shared: found master server %s:%d"
 		    (Ip.to_string s.server_ip) s.server_port;
 		tag := true;
                 do_if_connected s.server_sock (fun sock ->
                   server_send_share s.server_has_zlib sock !new_shared_files)
               end) (connected_servers ());
           if !tag && (!verbose_share || !verbose) then
-              lprintf_nl () "send_new_shared: Sent %d new shared files to servers"
+              lprintf_nl "send_new_shared: Sent %d new shared files to servers"
                     (List.length !new_shared_files);
           new_shared_files := []
         end
       else
-          lprintf_nl () "donkey send_new_share: No new shared files to send to servers"
+          lprintf_nl "donkey send_new_share: No new shared files to send to servers"
     end
 
 (*
@@ -228,7 +224,7 @@
               else end_pos in
             let len = end_pos -- sh.shared_pos in
             if !verbose_md4 then
-	      lprintf_nl () "Hash chunk %Ld/%Ld of %s"
+        lprintf_nl "Hash chunk %Ld/%Ld of %s"
 	        ((Int64.div sh.shared_pos block_size) ++ one)
 		((Int64.div sh.shared_size block_size) ++ one)
 		sh.shared_name;
@@ -237,7 +233,7 @@
               (fun job ->
                 computation := false;
                 if job.M.job_error then begin
-                    lprintf_nl () "Error prevent sharing %s" sh.shared_name
+                    lprintf_nl "Error prevent sharing %s" sh.shared_name
                   end else
                 let _ = () in
                 let new_md4 = job.M.job_result in
@@ -251,7 +247,7 @@
                         sh_md4s = Array.of_list (List.rev sh.shared_list);
                         sh_mtime = Unix32.mtime sh.shared_name;
                       } in
-                    lprintf_nl () "New shared file %s" sh.shared_name;
+                    lprintf_nl "New shared file %s" sh.shared_name;
                     Hashtbl.add shared_files_info
                       (s.sh_name, s.sh_size, s.sh_mtime) s;
                     known_shared_files =:= s :: !!known_shared_files;
@@ -262,7 +258,7 @@
                   job_creater ())
           with e ->
 	      shared_files := files;
-              lprintf_nl () "Exception %s prevents sharing of %s"
+              lprintf_nl "Exception %s prevents sharing of %s"
                 (Printexc2.to_string e) sh.shared_name
         in
         job_creater ()
@@ -270,7 +266,7 @@
 let _ =
   network.op_network_share <- (fun fullname codedname size ->
       if !verbose_share then
-        lprintf_nl () "op_network_share: Sharing %s" fullname;
+        lprintf_nl "op_network_share: Sharing %s" fullname;
       try
 (*
 lprintf "Searching %s" fullname; lprint_newline ();
@@ -281,7 +277,7 @@
             (fullname, size, mtime) in
         (* if s.sh_mtime = mtime && s.sh_size = size then begin *)
             if !verbose_share then
-                lprintf_nl () "donkeyShare: Using old MD4s for %s" fullname;
+                lprintf_nl "donkeyShare: Using old MD4s for %s" fullname;
             new_file_to_share s codedname None
 (*          end else begin
             if !verbose_share then begin
@@ -293,7 +289,7 @@
           end *)
       with Not_found ->
           if !verbose_share then
-              lprintf_nl () "donkeyShare: No info on %s" fullname;
+              lprintf_nl "donkeyShare: No info on %s" fullname;
 
 	  let found = ref false in
 	  List.iter (fun sh -> if sh.shared_name = fullname then found := true) !shared_files;
@@ -343,13 +339,13 @@
           Unix32.mtime disk_name
         with _ ->
             if !verbose then
-              lprintf_nl () "Share: Trying mtime on new name %s, disk_name %s, TODO: too many files in shared_files_new.ini?"
+              lprintf_nl "Share: Trying mtime on new name %s, disk_name %s, TODO: too many files in shared_files_new.ini?"
 	        new_name (file_disk_name file);
             Unix32.mtime new_name
       in
 
       if !verbose_share then
-          lprintf_nl () "Remember %s" new_name;
+          lprintf_nl "Remember %s" new_name;
 
       let size = file_size file in
       if not (Hashtbl.mem shared_files_info
@@ -364,7 +360,7 @@
         known_shared_files =:= s :: !!known_shared_files;
         Hashtbl.add shared_files_info (new_name, size, mtime) s
     with e ->
-        lprintf_nl () "Exception %s in remember_shared_info"
+        lprintf_nl "Exception %s in remember_shared_info"
           (Printexc2.to_string e)
 
 let must_share_file file = must_share_file file (file_best_name file) None
Index: src/networks/donkey/donkeyThieves.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/donkey/donkeyThieves.ml,v
retrieving revision 1.7
diff -u -u -w -r1.7 donkeyThieves.ml
--- src/networks/donkey/donkeyThieves.ml	18 Dec 2005 14:50:38 -0000	1.7
+++ src/networks/donkey/donkeyThieves.ml	19 May 2006 21:58:30 -0000
@@ -34,6 +34,12 @@
 open DonkeyTypes
 open DonkeyGlobals
 
+
+let log_prefix = "[eDThieves]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
+
 type hash_history = Ip.t * Md4.t * int
 
 (* index by client IP *)
@@ -101,7 +107,7 @@
 	    (* it switched to a hash that's used somewhere else,
 	       that's certainly a theft. *)
 	    if !verbose then
-	      lprintf_nl () "client_md4 %s (ip:%s) was already used somewhere else, that's certainly a theft!"
+        lprintf_nl "client_md4 %s (ip:%s) was already used somewhere else, that's certainly a theft!"
 	        (Md4.to_string hash) (Ip.to_string ip);
 	    false
 ;;
Index: src/networks/donkey/donkeyTypes.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/donkey/donkeyTypes.ml,v
retrieving revision 1.39
diff -u -u -w -r1.39 donkeyTypes.ml
--- src/networks/donkey/donkeyTypes.ml	9 Apr 2006 00:27:03 -0000	1.39
+++ src/networks/donkey/donkeyTypes.ml	19 May 2006 21:58:30 -0000
@@ -22,6 +22,16 @@
 open CommonDownloads
 open CommonTypes
 open CommonStats
+open Printf2
+
+let log_prefix = "[EDK]"
+    
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
+    
+let lprintf_n fmt =
+  lprintf2 log_prefix fmt
+
   (*
 
 module MyList = struct
Index: src/networks/fasttrack/fasttrackGlobals.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/fasttrack/fasttrackGlobals.ml,v
retrieving revision 1.37
diff -u -u -w -r1.37 fasttrackGlobals.ml
--- src/networks/fasttrack/fasttrackGlobals.ml	17 May 2006 08:52:43 -0000	1.37
+++ src/networks/fasttrack/fasttrackGlobals.ml	19 May 2006 21:58:30 -0000
@@ -44,15 +44,13 @@
 open FasttrackTypes
 open FasttrackOptions
 
-(* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s[Fasttrack] "
-    (log_time ()); lprintf_nl2
-
-(* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s[Fasttrack] "
-    (log_time ()); lprintf
+let log_prefix = "[Fasttrack]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
+
+let lprintf_n fmt =
+  lprintf2 log_prefix fmt
 
 let search_num = ref 0
 
Index: src/networks/fasttrack/fasttrackServers.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/fasttrack/fasttrackServers.ml,v
retrieving revision 1.28
diff -u -u -w -r1.28 fasttrackServers.ml
--- src/networks/fasttrack/fasttrackServers.ml	9 May 2006 08:40:25 -0000	1.28
+++ src/networks/fasttrack/fasttrackServers.ml	19 May 2006 21:58:31 -0000
@@ -60,7 +60,7 @@
               ignore (H.new_host ip port Ultrapeer)
             with Not_found -> ()
         with _ ->
-          lprintf_nl () "Syntax error in %s" filename;
+          lprintf_nl "Syntax error in %s" filename;
       done
     
     with End_of_file -> ()
@@ -75,7 +75,7 @@
          try     
             Misc.archive_extract filename "gz"
          with e ->
-          lprintf_nl () "Exception %s while extracting from %s" (Printexc2.to_string e) url;
+          lprintf_nl "Exception %s while extracting from %s" (Printexc2.to_string e) url;
           raise Not_found
       )
     | _ -> filename
@@ -83,7 +83,7 @@
 let _ =
     CommonWeb.add_web_kind "nodes.gzip" "List of fasttrack nodes"
     (fun url filename -> 
-        lprintf_nl () "nodes.gzip loaded from %s" url;
+        lprintf_nl "nodes.gzip loaded from %s" url;
         try
           let f = unpack_nodes_gzip filename url in
           load_nodes_file f;
Index: src/networks/fileTP/fileTPClients.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/fileTP/fileTPClients.ml,v
retrieving revision 1.18
diff -u -u -w -r1.18 fileTPClients.ml
--- src/networks/fileTP/fileTPClients.ml	9 Apr 2006 00:27:04 -0000	1.18
+++ src/networks/fileTP/fileTPClients.ml	19 May 2006 21:58:31 -0000
@@ -63,7 +63,7 @@
   | Connection sock ->
       (try
           if !verbose_msg_clients then
-              lprintf_nl () "Disconnected from source";
+              lprintf_nl "Disconnected from source";
           c.client_requests <- [];
           connection_failed c.client_connection_control;
           set_client_disconnected c r;
Index: src/networks/fileTP/fileTPGlobals.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/fileTP/fileTPGlobals.ml,v
retrieving revision 1.23
diff -u -u -w -r1.23 fileTPGlobals.ml
--- src/networks/fileTP/fileTPGlobals.ml	9 May 2006 17:04:58 -0000	1.23
+++ src/networks/fileTP/fileTPGlobals.ml	19 May 2006 21:58:31 -0000
@@ -41,15 +41,13 @@
 open FileTPTypes
 open FileTPOptions
 
-(* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s[FileTP] "
-    (log_time ()); lprintf_nl2
-
-(* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s[FileTP] "
-    (log_time ()); lprintf
+let log_prefix = "[FileTP]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
+
+let lprintf_n fmt =
+  lprintf2 log_prefix fmt
 
 let network = new_network "FTP" "FileTP"
     [ ]
Index: src/networks/fileTP/fileTPHTTP.ml
===================================================================
RCS file: /sources/mldonkey/mldonkey/src/networks/fileTP/fileTPHTTP.ml,v
retrieving revision 1.22
diff -u -u -w -r1.22 fileTPHTTP.ml
--- src/networks/fileTP/fileTPHTTP.ml	5 May 2006 22:08:00 -0000	1.22
+++ src/networks/fileTP/fileTPHTTP.ml	19 May 2006 21:58:31 -0000
@@ -46,15 +46,13 @@
 
 open FileTPClients
 
-(* prints a new logline with date, module and starts newline *)
-let lprintf_nl () =
-  lprintf "%s[FileTP] "
-    (log_time ()); lprintf_nl2
-
-(* prints a new logline with date, module and does not start newline *)
-let lprintf_n () =
-  lprintf "%s[FileTP] "
-    (log_time ()); lprintf
+let log_prefix = "[FileTP]"
+
+let lprintf_nl fmt =
+  lprintf_nl2 log_prefix fmt
+
+let lprintf_n fmt =
+  lprintf2 log_prefix fmt
 
 (*************************************************************************)
 (*                                                                       *)
@@ -89,7 +87,7 @@
   Printf.bprintf buf "\r\n";
   let s = Buffer.contents buf in
   if !verbose_msg_clients then
-    lprintf_nl () "SENDING REQUEST to %s: %s"
+    lprintf_nl "SENDING REQUEST to %s: %s"
       c.client_hostname
       (String.escaped s);
   write_string sock s;
@@ -103,7 +101,7 @@
 
 let rec client_parse_header c gconn sock header =
   if !verbose_msg_clients then
-    lprintf_nl () "CLIENT PARSE HEADER";
+    lprintf_nl "CLIENT PARSE HEADER";
   try
     set_lifetime sock 3600.;
     let d =
@@ -116,7 +114,7 @@
     connection_ok c.client_connection_control;
     set_client_state c Connected_initiating;
     if !verbose_msg_clients then begin
-        lprintf_nl () "HEADER FROM CLIENT:";
+        lprintf_nl "HEADER FROM CLIENT:";
         AnyEndian.dump_ascii header;
       end;
     let file = d.download_file in
@@ -134,7 +132,7 @@
       | _ -> failwith "Not a HTTP header line"
     in
     if !verbose_msg_clients then
-      lprintf_nl () "GOOD HEADER FROM CONNECTED CLIENT\n";
+      lprintf_nl "GOOD HEADER FROM CONNECTED CLIENT\n";
 
     set_rtimeout sock 120.;
 (*              lprintf "SPLIT HEADER...\n"; *)
@@ -154,12 +152,12 @@
             unknown_header := !unknown_header || not (List.mem header known_download_headers)
         ) headers;
         if !unknown_header then begin
-            lprintf_n () "Download Header contains unknown fields";
-            lprintf_nl2 "    %s" first_line;
+            lprintf_n "Download Header contains unknown fields";
+            lprintf_nl "    %s" first_line;
             List.iter (fun (header, (value,header2)) ->
-                lprintf_nl () "    [%s] = [%s](%s)" header value header2;
+                lprintf_nl "    [%s] = [%s](%s)" header value header2;
             ) headers;
-            lprintf_nl () "end of header";
+            lprintf_nl "end of header";
           end;
       end;
 
@@ -194,7 +192,7 @@
             x, Int64.succ y
         with
         | e ->
-            lprintf_nl () "Exception %s for range [%s]"
+            lprintf_nl "Exception %s for range [%s]"
               (Printexc2.to_string e) range;
             raise e
       with e ->
@@ -202,14 +200,14 @@
             if code <> 206 && code <> 200 then raise Not_found;
             let (len,_) = List.assoc "content-length" headers in
             let len = Int64.of_string len in
-            if !verbose then lprintf_nl () "Specified length: %Ld" len;
+            if !verbose then lprintf_nl "Specified length: %Ld" len;
             match d.download_ranges with
               [] -> raise Not_found
             | (start_pos,end_pos,r) :: _ ->
-                lprintf_nl () "WARNING: Assuming client is replying to range";
+                lprintf_nl "WARNING: Assuming client is replying to range";
                 if len <> end_pos -- start_pos then
                   begin
-                    lprintf_nl () "ERROR: bad computed range: %Ld-%Ld/%Ld \n%s"
+                    lprintf_nl "ERROR: bad computed range: %Ld-%Ld/%Ld \n%s"
                       start_pos end_pos len
                       (String.escaped header);
                     raise Not_found
@@ -218,7 +216,7 @@
           with _ ->
 (* A bit dangerous, no ??? *)
               if !verbose_unknown_messages then
-                lprintf_nl () "ERROR: Could not find/parse range header (exception %s), disconnect\nHEADER: %s"
+                lprintf_nl "ERROR: Could not find/parse range header (exception %s), disconnect\nHEADER: %s"
                     (Printexc2.to_string e)
                     (String.escaped header);
               disconnect_client c (Closed_for_error "Bad HTTP Range");
@@ -233,7 +231,7 @@
               start_pos end_pos len (String.escaped header))
           end
       with _ ->
-          lprintf_nl () "[WARNING]: no Content-Length field\n%s\n"
+          lprintf_nl "[WARNING]: no Content-Length field\n%s\n"
             (String.escaped header)
     );
 
@@ -275,7 +273,7 @@
                 CommonSwarming.received up
                   !counter_pos b.buf b.pos to_read_int;
           with e ->
-              lprintf_nl () "Exception %s in CommonSwarming.received"
+              lprintf_nl "Exception %s in CommonSwarming.received"
                 (Printexc2.to_string e)
         end;
         c.client_reconnect <- true;
@@ -287,7 +285,7 @@
         c.client_downloaded <- c.client_downloaded ++ (new_downloaded -- old_downloaded);
 
         (match d.download_ranges with
-            [] -> lprintf_nl () "EMPTY Ranges!"
+            [] -> lprintf_nl "EMPTY Ranges!"
           | r :: _ ->
 (*
               let (x,y) = CommonSwarming.range_range r in
@@ -325,7 +323,7 @@
   with e ->
       if !verbose_unknown_messages then
         begin
-          lprintf_nl () "Exception %s in client_parse_header" (Printexc2.to_string e);
+          lprintf_nl "Exception %s in client_parse_header" (Printexc2.to_string e);
           AnyEndian.dump header
         end;
       disconnect_client c (Closed_for_exception e);
@@ -357,14 +355,14 @@
     } in
 
   H.whead r (fun headers ->
-      if !verbose then lprintf_nl () "RECEIVED HEADERS";
+      if !verbose then lprintf_nl "RECEIVED HEADERS";
       let content_length = ref None in
       List.iter (fun (name, content) ->
           if String.lowercase name = "content-length" then
             try
               content_length := Some (Int64.of_string content)
             with _ ->
-                lprintf_nl () "bad content length [%s]" content;
+                lprintf_nl "bad content length [%s]" content;
       ) headers;
       match !content_length with
         None -> failwith "Unable to start download (HEAD failed)"
